Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ExceptionDefOperations

All Superinterfaces:
  ContainedOperations, ContainerOperations, IRObjectOperations

All Known Subinterfaces:
  ExceptionDef

All Known Implementing Classes:
  ExceptionDefPOA

public interface ExceptionDefOperations
extends ContainedOperations, ContainerOperations

An ExceptionDef represents an exception definition.

Method Summary
`StructMember[]` | `members()` The members attribute describes any exception members.
`void` | `members(StructMember[] value)` The members attribute describes any exception members.
`TypeCode` | `type()` The type attribute is a tk_except TypeCode describing the exception.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Method Detail

### type

    public TypeCode type()

  The type attribute is a tk_except TypeCode describing the exception.

### members

    public StructMember[] members()

  The members attribute describes any exception members.

### members

    public void members(StructMember[] value)

  The members attribute describes any exception members.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD